$(function () {
    $("#appreciationTaxTypeId").change(function () {
        var appreciationTaxType = $("#appreciationTaxTypeId").find("option:selected").val();
        if ("1" == appreciationTaxType) {
            $("#companyNameId").css("display", "");
            $("#subjectNameId").css("display", "");
            $("#taxpayerNumId").css("display", "");
            $("#addressNameId").css("display", "none");
            $("#telephoneId").css("display", "none");
            $("#bankAddressId").css("display", "none");
            $("#bankAccountId").css("display", "none");
            $("#taxpayerNumId01").removeAttr("class");
            $("#addressNameId01").removeAttr("class");
            $("#telephoneId01").removeAttr("class");
            $("#bankAddressId01").removeAttr("class");
            $("#bankAccountId01").removeAttr("class");
            $("#companyNameId01").val($("#invoiceTitle_id").text());
            $("#taxpayerNumId01").val($("#taxpayerNum_id").text());
        } else if ("2" == appreciationTaxType) {
            $("#companyNameId").css("display", "");
            $("#subjectNameId").css("display", "");
            $("#taxpayerNumId").css("display", "");
            $("#addressNameId").css("display", "");
            $("#telephoneId").css("display", "");
            $("#bankAddressId").css("display", "");
            $("#bankAccountId").css("display", "");
            $("#taxpayerNumId01").attr("class", "required");
            $("#addressNameId01").attr("class", "required");
            $("#telephoneId01").attr("class", "required");
            $("#bankAddressId01").attr("class", "required");
            $("#bankAccountId01").attr("class", "required");
			$("#companyNameId01").val($("#invoiceTitle_id").text());
			$("#taxpayerNumId01").val($("#taxpayerNum_id").text());
			$("#addressNameId01").val($("#addressName_id").text());
			$("#telephoneId01").val($("#telephone_id").text());
			$("#bankAddressId01").val($("#bankAddress_id").text());
			$("#bankAccountId01").val($("#bankAccount_id").text());
        } else {
            $("#companyNameId").css("display", "none");
            $("#subjectNameId").css("display", "none");
            $("#taxpayerNumId").css("display", "none");
            $("#addressNameId").css("display", "none");
            $("#telephoneId").css("display", "none");
            $("#bankAddressId").css("display", "none");
            $("#bankAccountId").css("display", "none");
            $("#taxpayerNumId01").removeAttr("class");
            $("#addressNameId01").removeAttr("class");
            $("#telephoneId01").removeAttr("class");
            $("#bankAddressId01").removeAttr("class");
            $("#companyNameId01").removeAttr("class");
            $("#subjectNameId01").removeAttr("class");
            $("#bankAccountId01").removeAttr("class");
        }
    });


    $("#saveCertificateId").click(function () {
        $.post('/training/saveCertificateId',
            {
                img1: $("#img1").attr("src"),
                img2: $("#img2").attr("src"),
                img3: $("#img3").attr("src"),
                obj_id: $("#choose_subject_id").val()
            },
            function (data) {
                if (data.result) {
                    alert("保存证件照成功！");
                } else {
                    alert("保存证件照失败！");
                }
            });
    });

    $("#submit").on("click", function () {
        $(".message").html();
        if (checkRequired()) {
            var sn = $("input[name='subject']:checked")[0].nextSibling.nodeValue;
            var registerInfo_id = $("#registerInfo_id").val();
            if (confirm("您报名的科目是“" + sn + "”，请牢记您的用户名和密码，报名成功后可凭此登陆查看缴费等状态，信息提交之后不可再更改，确认要提交吗？")) {
                $("#form").ajaxSubmit({
                    url: "/training/reg3?registerInfo_id=" + registerInfo_id,
                    type: "post",
                    dataType: "json",
                    success: function (data) {
                        if (data.success) {
                            location.href = "/training/infop";
                        } else {
                            $(".message").html(data.info);
                        }
                    }
                });
            }
        }

    });
    $("#choose_subject_id").change(function () {
        var obj_id = $("#choose_subject_id").val();
        $.get('/training/getObj?obj_id=' + obj_id, function (data) {
			$("#img1").attr('src',data.obj.img1);
			$("#img2").attr('src',data.obj.img2);
			$("#img3").attr('src',data.obj.img3);
        })
    })


})

function checkRequired() {
    var success = true;
    $(".required").each(function (n, v) {
        if ($.trim($(this).val()) == '') {
            showWarning($(this), "请填写此信息");
            success = false;
        }
    });
    return success;
}

function showWarning(obj, text) {
    $(obj).parent().parent().find("span.reg_body").html("<b style='color:red'>" + text + "</b>");
}